package lsedit;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Color;

import javax.swing.Icon;

class OpenIcon implements Icon {

	private EntityClass	m_ec;

	public OpenIcon(EntityClass ec)
	{
		m_ec = ec;
	}

    public void paintIcon(Component c, Graphics g, int x, int y)
	{
		EntityClass ec = m_ec;

		EntityComponent.paintShape(g, null /* No entity instance */, ec, x, y, 18, 18, false /* Not draw root */, true /* open */, Color.black, m_ec.getInheritedObjectColor());
	}
    
    public int getIconWidth()
	{
		return 18;
	}

    public int getIconHeight()
	{
		return 18;
	}
}



